| ontotext

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Get ontology term(s) original full text

## Description

ontotext reads one or more complete ontology term entries from a database or a file and writes them to a text file. Optionally, the first ontology term from the input stream only can be retrieved. The complete entry, including heading annotation, is retrieved and written and the data is not altered or reformatted in any way.

## Usage

Here is a sample session with ontotext

    % ontotext edam:1234
    Get ontology term(s) original full text
    Full text output file [1234.ontotext]:

Go to the input files for this example
Go to the output files for this example

Example 2

    % ontotext edam:0850 -subclasses
    Get ontology term(s) original full text
    Full text output file [0850.ontotext]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Get ontology term(s) original full text
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-oboterms]          obo        Obo term filename and optional format, or
                                      reference (input query)
      [-outfile]           outfile    [*.ontotext] Full text output file

       Additional (Optional) qualifiers:
       -subclasses         boolean    [N] Extend the query matches to include all
                                      terms which are specialisations
                                      (sub-classes) of the matched terms.
       -obsolete           boolean    [N] The default behaviour is to not use or
                                      return obsolete terms. This option if set
                                      will include all terms.

       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-oboterms" associated qualifiers
       -iformat1           string     Input obo format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -idbname1           string     User-provided database name

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-oboterms] (Parameter 1) | obo | Obo term filename and optional format, or reference (input query) | OBO bio-ontology term(s) |
[-outfile] (Parameter 2) | outfile | Full text output file | Output file | <*>.ontotext
Additional (Optional) qualifiers
-subclasses | boolean | Extend the query matches to include all terms which are specialisations (sub-classes) of the matched terms. | Boolean value Yes/No | No
-obsolete | boolean | The default behaviour is to not use or return obsolete terms. This option if set will include all terms. | Boolean value Yes/No | No
Advanced (Unprompted) qualifiers
(none)
Associated qualifiers
"-oboterms" associated obo qualifiers
-iformat1 -iformat_oboterms | string | Input obo format | Any string |
-iquery1 -iquery_oboterms | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_oboterms | integer | Input start position offset | Any integer value | 0
-idbname1 -idbname_oboterms | string | User-provided database name | Any string |
"-outfile" associated outfile qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

The input is a standard EMBOSS ontology query.

The major ontology sources defined as standard in EMBOSS installations are EDAM, GO (gene Ontology) and SO (Sequence Ontology).

Data can also be read from ontology output in "obo" format written by an EMBOSS application.

### Input files for usage example

### Database entry: edam:1234

    [Term]
    id: EDAM_data:1234
    name: Sequence set (nucleic acid)
    namespace: data
    def: Any collection of multiple nucleotide sequences and associated metadata that do not (typically) correspond to common sequence database records or database entries.
    subset: bioinformatics
    subset: data
    subset: edam
    created_in: "beta12orEarlier"
    is_a: EDAM_data:0850 ! Sequence set
    is_a: EDAM_data:2977 ! Nucleic acid sequence

### Input files for usage example 2

### Database entry: edam:0850

    [Term]
    id: EDAM_data:0850
    name: Sequence set
    namespace: data
    def: A collection of multiple molecular sequences and associated metadata that do not (typically) correspond to molecular sequence database records or entries and which (typically) are derived from some analytical method.
    comment: This concept may be used for arbitrary sequence sets and associated data arising from processing.
    subset: bioinformatics
    subset: data
    subset: edam
    synonym: "SO:0001260" RELATED []
    created_in: "beta12orEarlier"
    is_a: EDAM_data:2955 ! Sequence report

## Output file format

ontotext reports the full text of the input ontology terms.

### Output files for usage example

### File: 1234.ontotext

    [Term]
    id: EDAM_data:1234
    name: Sequence set (nucleic acid)
    subset: bioinformatics
    subset: data
    subset: edam
    created_in: "beta12orEarlier"
    def: "Any collection of multiple nucleotide sequences and associated metadata that do not (typically) correspond to common sequence database records or database entries." [http://edamontology.org]
    namespace: data
    is_a: EDAM_data:0850 ! Sequence set
    is_a: EDAM_data:2977 ! Nucleic acid sequence

### Output files for usage example 2

### File: 0850.ontotext

    [Term]
    id: EDAM_data:0850
    name: Sequence set
    comment: This concept may be used for arbitrary sequence sets and associated data arising from processing.
    subset: bioinformatics
    subset: data
    subset: edam
    synonym: "SO:0001260" RELATED []
    created_in: "beta12orEarlier"
    def: "A collection of multiple molecular sequences and associated metadata that do not (typically) correspond to molecular sequence database records or entries and which (typically) are derived from some analytical method." [http://edamontology.org]
    namespace: data
    is_a: EDAM_data:2955 ! Sequence report

    [Term]
    id: EDAM_data:1233
    name: Sequence set (protein)
    subset: bioinformatics
    subset: data
    subset: edam
    created_in: "beta12orEarlier"
    def: "Any collection of multiple protein sequences and associated metadata that do not (typically) correspond to common sequence database records or database entries." [http://edamontology.org]
    namespace: data
    is_a: EDAM_data:0850 ! Sequence set

    [Term]
    id: EDAM_data:1245
    name: Sequence cluster (protein)
    comment: The sequences are typically related, for example a family of sequences.
    subset: bioinformatics
    subset: data
    subset: edam
    synonym: "Protein sequence cluster" EXACT []
    created_in: "beta12orEarlier"
    def: "A cluster of protein sequences." [http://edamontology.org]
    namespace: data
    is_a: EDAM_data:1233 ! Sequence set (protein)
    is_a: EDAM_data:1235 ! Sequence cluster

    [Term]
    id: EDAM_data:1262
    name: Peptide molecular weight hits
    subset: bioinformatics
    subset: data
    subset: edam
    created_in: "beta12orEarlier"
    def: "A report on peptide fragments of certain molecular weight(s) in one or more protein sequences." [http://edamontology.org]
    namespace: data
    is_a: EDAM_data:1233 ! Sequence set (protein)

    [Term]

      [Part of this file has been deleted for brevity]

    id: EDAM_data:1246
    name: Sequence cluster (nucleic acid)
    comment: The sequences are typically related, for example a family of sequences.
    subset: bioinformatics
    subset: data
    subset: edam
    synonym: "Nucleotide sequence cluster" EXACT []
    created_in: "beta12orEarlier"
    def: "A cluster of nucleotide sequences." [http://edamontology.org]
    namespace: data
    is_a: EDAM_data:1234 ! Sequence set (nucleic acid)
    is_a: EDAM_data:1235 ! Sequence cluster

    [Term]
    id: EDAM_data:1239
    name: Restriction digest
    subset: bioinformatics
    subset: data
    subset: edam
    xref: SO:0000412
    created_in: "beta12orEarlier"
    def: "Restriction digest fragments from digesting a nucleotide sequence with restriction sites using a restriction endonuclease." [http://edamontology.org]
    namespace: data
    is_a: EDAM_data:1234 ! Sequence set (nucleic acid)

    [Term]
    id: EDAM_data:2245
    name: Sequence set (bootstrapped)
    comment: Bootstrapping is often performed in phylogenetic analysis.
    subset: bioinformatics
    subset: data
    subset: edam
    created_in: "beta12orEarlier"
    def: "A collection of sequences output from a bootstrapping (resampling) procedure." [http://edamontology.org]
    namespace: data
    is_a: EDAM_data:0850 ! Sequence set

    [Term]
    id: EDAM_data:1235
    name: Sequence cluster
    comment: The cluster might include sequences identifiers, short descriptions, alignment and summary information.
    subset: bioinformatics
    subset: data
    subset: edam
    created_in: "beta12orEarlier"
    def: "A set of sequences that have been clustered or otherwise classified as belonging to a group including (typically) sequence cluster information." [http://edamontology.org]
    namespace: data
    is_a: EDAM_data:0850 ! Sequence set
    relationship: has_topic EDAM_topic:0724 ! Protein families
    relationship: has_topic EDAM_topic:3052 ! Sequence clusters and classification

## Data files

The EDAM Ontology is included in EMBOSS as local database edam.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
drtext | Get data resource entries complete text
edamdef | Find EDAM ontology terms by definition
edamhasinput | Find EDAM ontology terms by has_input relation
edamhasoutput | Find EDAM ontology terms by has_output relation
edamisformat | Find EDAM ontology terms by is_format_of relation
edamisid | Find EDAM ontology terms by is_identifier_of relation
edamname | Find EDAM ontology terms by name
entret | Retrieve sequence entries from flatfile databases and files
godef | Find GO ontology terms by definition
goname | Find GO ontology terms by name
ontocount | Count ontology term(s)
ontoget | Get ontology term(s)
ontogetcommon | Get common ancestor for terms
ontogetdown | Get ontology term(s) by parent id
ontogetobsolete | Get ontology ontology terms
ontogetroot | Get ontology root terms by child identifier
ontogetsibs | Get ontology term(s) by id with common parent
ontogetup | Get ontology term(s) by id of child
ontoisobsolete | Report whether an ontology term id is obsolete
textget | Get text data entries
textsearch | Search the textual description of sequence(s)
xmltext | Get XML document original full text

## Author(s)

Peter Rice
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None